package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (05/07/2010)
 */
public class P06B39T00Datatype implements Serializable {
		
	private String ejercicio = "";
	private String numExp = "";
	private String volTotIndPrimInter = "";
	private String volTotIndComisDeven = "";
	private String volTotIndHonorProf = "";
	private String volTotColPrimInter = "";
	private String volTotColComisDeven = "";
	private String volTotColHonorProf = "";
	private String nuevaIndPrimInter = "";
	private String nuevaIndComisDeven = "";
	private String nuevaIndHonorProf = "";
	private String nuevaColPrimInter = "";
	private String nuevaColComisDeven = "";
	private String nuevaColHonorProf = "";
	
		
	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
	
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the volTotIndPrimInter.
	 */
	public String getVolTotIndPrimInter() {
		return volTotIndPrimInter;
	}
	/**
	 * @param volTotIndPrimInter The volTotIndPrimInter to set.
	 */
	public void setVolTotIndPrimInter(String volTotIndPrimInter) {
		this.volTotIndPrimInter = volTotIndPrimInter;
	}
	
	/**
	 * @return Returns the volTotIndComisDeven.
	 */
	public String getVolTotIndComisDeven() {
		return volTotIndComisDeven;
	}
	/**
	 * @param volTotIndComisDeven The volTotIndComisDeven to set.
	 */
	public void setVolTotIndComisDeven(String volTotIndComisDeven) {
		this.volTotIndComisDeven = volTotIndComisDeven;
	}
	
	/**
	 * @return Returns the volTotIndHonorProf.
	 */
	public String getVolTotIndHonorProf() {
		return volTotIndHonorProf;
	}
	/**
	 * @param volTotIndHonorProf The volTotIndHonorProf to set.
	 */
	public void setVolTotIndHonorProf(String volTotIndHonorProf) {
		this.volTotIndHonorProf = volTotIndHonorProf;
	}
	
	/**
	 * @return Returns the volTotColPrimInter.
	 */
	public String getVolTotColPrimInter() {
		return volTotColPrimInter;
	}
	/**
	 * @param volTotColPrimInter The volTotColPrimInter to set.
	 */
	public void setVolTotColPrimInter(String volTotColPrimInter) {
		this.volTotColPrimInter = volTotColPrimInter;
	}
	
	/**
	 * @return Returns the volTotColComisDeven.
	 */
	public String getVolTotColComisDeven() {
		return volTotColComisDeven;
	}
	/**
	 * @param volTotColComisDeven The volTotColComisDeven to set.
	 */
	public void setVolTotColComisDeven(String volTotColComisDeven) {
		this.volTotColComisDeven = volTotColComisDeven;
	}
	
	/**
	 * @return Returns the volTotColHonorProf.
	 */
	public String getVolTotColHonorProf() {
		return volTotColHonorProf;
	}
	/**
	 * @param volTotColHonorProf The volTotColHonorProf to set.
	 */
	public void setVolTotColHonorProf(String volTotColHonorProf) {
		this.volTotColHonorProf = volTotColHonorProf;
	}
	
	/**
	 * @return Returns the nuevaIndPrimInter.
	 */
	public String getNuevaIndPrimInter() {
		return nuevaIndPrimInter;
	}
	/**
	 * @param nuevaIndPrimInter The nuevaIndPrimInter to set.
	 */
	public void setNuevaIndPrimInter(String nuevaIndPrimInter) {
		this.nuevaIndPrimInter = nuevaIndPrimInter;
	}
	
	/**
	 * @return Returns the nuevaIndComisDeven.
	 */
	public String getNuevaIndComisDeven() {
		return nuevaIndComisDeven;
	}
	/**
	 * @param nuevaIndComisDeven The nuevaIndComisDeven to set.
	 */
	public void setNuevaIndComisDeven(String nuevaIndComisDeven) {
		this.nuevaIndComisDeven = nuevaIndComisDeven;
	}
	
	/**
	 * @return Returns the nuevaIndHonorProf.
	 */
	public String getNuevaIndHonorProf() {
		return nuevaIndHonorProf;
	}
	/**
	 * @param nuevaIndHonorProf The nuevaIndHonorProf to set.
	 */
	public void setNuevaIndHonorProf(String nuevaIndHonorProf) {
		this.nuevaIndHonorProf = nuevaIndHonorProf;
	}
	
	/**
	 * @return Returns the nuevaColPrimInter.
	 */
	public String getNuevaColPrimInter() {
		return nuevaColPrimInter;
	}
	/**
	 * @param nuevaColPrimInter The nuevaColPrimInter to set.
	 */
	public void setNuevaColPrimInter(String nuevaColPrimInter) {
		this.nuevaColPrimInter = nuevaColPrimInter;
	}
	
	/**
	 * @return Returns the nuevaColComisDeven.
	 */
	public String getNuevaColComisDeven() {
		return nuevaColComisDeven;
	}
	/**
	 * @param nuevaColComisDeven The nuevaColComisDeven to set.
	 */
	public void setNuevaColComisDeven(String nuevaColComisDeven) {
		this.nuevaColComisDeven = nuevaColComisDeven;
	}
	
	/**
	 * @return Returns the nuevaColHonorProf.
	 */
	public String getNuevaColHonorProf() {
		return nuevaColHonorProf;
	}
	/**
	 * @param nuevaColHonorProf The nuevaColHonorProf to set.
	 */
	public void setNuevaColHonorProf(String nuevaColHonorProf) {
		this.nuevaColHonorProf = nuevaColHonorProf;
	}
	
	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; VolTotIndPrimInter: ");
		textoImprimir.append(volTotIndPrimInter);
		textoImprimir.append("; VolTotIndComisDeven: ");
		textoImprimir.append(volTotIndComisDeven);
		textoImprimir.append("; VolTotIndHonorProf: ");
		textoImprimir.append(volTotIndHonorProf);
		textoImprimir.append("; VolTotColPrimInter: ");
		textoImprimir.append(volTotColPrimInter);
		textoImprimir.append("; VolTotColComisDeven: ");
		textoImprimir.append(volTotColComisDeven);
		textoImprimir.append("; VolTotColHonorProf: ");
		textoImprimir.append(volTotColHonorProf);
		textoImprimir.append("; NuevaIndPrimInter: ");
		textoImprimir.append(nuevaIndPrimInter);
		textoImprimir.append("; NuevaIndComisDeven: ");
		textoImprimir.append(nuevaIndComisDeven);
		textoImprimir.append("; NuevaIndHonorProf: ");
		textoImprimir.append(nuevaIndHonorProf);
		textoImprimir.append("; NuevaColPrimInter: ");
		textoImprimir.append(nuevaColPrimInter);
		textoImprimir.append("; NuevaColComisDeven: ");
		textoImprimir.append(nuevaColComisDeven);
		textoImprimir.append("; NuevaColHonorProf: ");
		textoImprimir.append(nuevaColHonorProf);
				
		return textoImprimir.toString();
	}
	
	
}
